import {Body, Controller, Delete, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {StoreCmsService} from "./store-cms.service";
import {UpdateStoreCmsDto} from "./dto/update-store-cms.dto";

@Controller({path: "store-cms", version: Constants.API_VERSION_1})

export class StoreCmsController {
    constructor(private readonly service: StoreCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateStoreCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }

    @Delete()
    @UseGuards(AdminAuthGuard)
    async remove() {
        return await this.service.remove();
    }
}
