import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {ContactUsPageComponentUiService} from "./contact-us-page-component-ui.service";
import {UpdateContactUsPageComponentUiDto} from "./dto/update-contact-us-page-component-ui.dto";

@Controller({path: "contact-us-page-component-ui", version: Constants.API_VERSION_1})

export class ContactUsPageComponentUiController {
    constructor(private readonly service: ContactUsPageComponentUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateContactUsPageComponentUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
