import {EntityRepository, Repository} from "typeorm";
import {UpdateContactUsPageComponentUiDto} from "./dto/update-contact-us-page-component-ui.dto";
import {ContactUsPageComponentUiEntity} from "./entities/contact-us-page-component-ui.entity";

@EntityRepository(ContactUsPageComponentUiEntity)
export class ContactUsPageComponentUiRepository extends Repository<ContactUsPageComponentUiEntity> {

    async createEntity(dto: UpdateContactUsPageComponentUiDto): Promise<ContactUsPageComponentUiEntity | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateContactUsPageComponentUiDto, id: string): Promise<ContactUsPageComponentUiEntity | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ContactUsPageComponentUiEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}