import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesServicerovider} from "../SpacesModule/SpacesService";
import {DoSpacesService} from "../SpacesModule/SpacesService/doSpacesService";
import {HeroSectionSliderController} from "./hero-section-slider.controller";
import {HeroSectionSliderRepository} from "./hero-section-slider.repository";
import {HeroSectionSliderService} from "./hero-section-slider.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HeroSectionSliderRepository])
    ],
    controllers: [HeroSectionSliderController],
    providers: [HeroSectionSliderService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HeroSectionSliderModule {
}
